# HG changeset patch
# Node ID 62c5d59f012d
# Parent  a944f57bacd1
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -3305,7 +3305,6 @@
 	/* Conversations */
 	purple_prefs_add_none(PIDGIN_PREFS_ROOT "/conversations");
 	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/use_smooth_scrolling", TRUE);
-	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/close_on_tabs", TRUE);
 	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/send_bold", FALSE);
 	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/send_italic", FALSE);
 	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/send_underline", FALSE);
@@ -3319,8 +3318,6 @@
 	purple_prefs_add_string(PIDGIN_PREFS_ROOT "/conversations/fgcolor", "");
 	purple_prefs_add_string(PIDGIN_PREFS_ROOT "/conversations/font_face", "");
 	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/font_size", 3);
-	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/conversations/tabs", TRUE);
-	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/tab_side", GTK_POS_TOP);
 	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/scrollback_lines", 4000);
 
 #ifdef _WIN32
@@ -3346,11 +3343,6 @@
 
 	purple_prefs_add_int(PIDGIN_PREFS_ROOT "/conversations/im/entry_height", 54);
 
-#ifdef _WIN32
-	purple_prefs_add_none(PIDGIN_PREFS_ROOT "/win32");
-	purple_prefs_add_bool(PIDGIN_PREFS_ROOT "/win32/minimize_new_convs", FALSE);
-#endif
-
 	/* Connect callbacks. */
 	purple_prefs_connect_callback(handle, PIDGIN_PREFS_ROOT "/conversations/show_formatting_toolbar",
 								show_formatting_toolbar_pref_cb, NULL);
diff --git a/pidgin/prefs/pidginprefs.c b/pidgin/prefs/pidginprefs.c
--- a/pidgin/prefs/pidginprefs.c
+++ b/pidgin/prefs/pidginprefs.c
@@ -87,19 +87,6 @@
 	/* Stack */
 	GtkWidget *stack;
 
-	/* Interface page */
-	struct {
-		struct {
-			GtkWidget *minimize_new_convs;
-		} win32;
-		struct {
-			GtkWidget *tabs;
-			GtkWidget *tabs_vbox;
-			GtkWidget *close_on_tabs;
-			PidginPrefCombo tab_side;
-		} conversations;
-	} iface;
-
 	/* Conversations page */
 	struct {
 		GtkWidget *show_incoming_formatting;
@@ -802,37 +789,6 @@
 	}
 }
 
-static void
-bind_interface_page(PidginPrefsWindow *win)
-{
-#ifdef _WIN32
-	pidgin_prefs_bind_checkbox(PIDGIN_PREFS_ROOT "/win32/minimize_new_convs",
-			win->iface.win32.minimize_new_convs);
-#else
-	gtk_widget_hide(win->iface.win32.minimize_new_convs);
-#endif
-
-	/* All the tab options! */
-	pidgin_prefs_bind_checkbox(PIDGIN_PREFS_ROOT "/conversations/tabs",
-			win->iface.conversations.tabs);
-
-	/*
-	 * Connect a signal to the above preference.  When conversations are not
-	 * shown in a tabbed window then all tabbing options should be disabled.
-	 */
-	g_object_bind_property(win->iface.conversations.tabs, "active",
-			win->iface.conversations.tabs_vbox, "sensitive",
-			G_BINDING_SYNC_CREATE);
-
-	pidgin_prefs_bind_checkbox(
-			PIDGIN_PREFS_ROOT "/conversations/close_on_tabs",
-			win->iface.conversations.close_on_tabs);
-
-	win->iface.conversations.tab_side.type = PURPLE_PREF_INT;
-	win->iface.conversations.tab_side.key = PIDGIN_PREFS_ROOT "/conversations/tab_side";
-	pidgin_prefs_bind_dropdown(&win->iface.conversations.tab_side);
-}
-
 /* This is also Win32-specific, but must be visible for Glade binding. */
 static void
 apply_custom_font(GtkWidget *unused, PidginPrefsWindow *win)
@@ -1748,7 +1704,6 @@
 	GtkWidget *vv;
 #endif
 
-	bind_interface_page(win);
 	bind_conv_page(win);
 	bind_network_page(win);
 	bind_proxy_page(win);
@@ -1777,23 +1732,6 @@
 	                                     stack);
 	gtk_widget_class_bind_template_callback(widget_class, delete_prefs);
 
-	/* Interface page */
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			iface.win32.minimize_new_convs);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			iface.conversations.tabs);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			iface.conversations.tabs_vbox);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			iface.conversations.close_on_tabs);
-	gtk_widget_class_bind_template_child(
-			widget_class, PidginPrefsWindow,
-			iface.conversations.tab_side.combo);
-
 	/* Conversations page */
 	gtk_widget_class_bind_template_child(
 			widget_class, PidginPrefsWindow,
diff --git a/pidgin/resources/Prefs/prefs.ui b/pidgin/resources/Prefs/prefs.ui
--- a/pidgin/resources/Prefs/prefs.ui
+++ b/pidgin/resources/Prefs/prefs.ui
@@ -91,92 +91,7 @@
     <property name="step-increment">1</property>
     <property name="page-increment">1</property>
   </object>
-  <object class="GtkListStore" id="iface.conversations.placement.store">
-    <columns>
-      <!-- column-name text -->
-      <column type="gchararray"/>
-      <!-- column-name value -->
-      <column type="gchararray"/>
-    </columns>
-  </object>
-  <object class="GtkListStore" id="iface.conversations.tab_side.store">
-    <columns>
-      <!-- column-name text -->
-      <column type="gchararray"/>
-      <!-- column-name value -->
-      <column type="gint"/>
-    </columns>
-    <data>
-      <row>
-        <col id="0" translatable="yes">Top</col>
-        <col id="1">2</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">Bottom</col>
-        <col id="1">3</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">Left</col>
-        <col id="1">0</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">Right</col>
-        <col id="1">1</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">Left Vertical</col>
-        <col id="1">8</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">Right Vertical</col>
-        <col id="1">9</col>
-      </row>
-    </data>
-  </object>
-  <object class="GtkListStore" id="iface.docklet.store">
-    <columns>
-      <!-- column-name text -->
-      <column type="gchararray"/>
-      <!-- column-name value -->
-      <column type="gchararray"/>
-    </columns>
-    <data>
-      <row>
-        <col id="0" translatable="yes">Always</col>
-        <col id="1">always</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">On unread messages</col>
-        <col id="1">pending</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">Never</col>
-        <col id="1">never</col>
-      </row>
-    </data>
-  </object>
-  <object class="GtkListStore" id="iface.im.hide_new.store">
-    <columns>
-      <!-- column-name text -->
-      <column type="gchararray"/>
-      <!-- column-name value -->
-      <column type="gchararray"/>
-    </columns>
-    <data>
-      <row>
-        <col id="0" translatable="yes">Never</col>
-        <col id="1">never</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">When away</col>
-        <col id="1">away</col>
-      </row>
-      <row>
-        <col id="0" translatable="yes">Always</col>
-        <col id="1">always</col>
-      </row>
-    </data>
-  </object>
+  <object class="GtkSizeGroup" id="iface.sg"/>
   <object class="GtkAdjustment" id="network.ports_range_end.adjustment">
     <property name="upper">65535</property>
     <property name="step-increment">1</property>
@@ -293,200 +208,6 @@
                 <property name="visible">True</property>
                 <property name="can-focus">False</property>
                 <child>
-                  <object class="GtkBox" id="iface.page">
-                    <property name="visible">True</property>
-                    <property name="can-focus">False</property>
-                    <property name="border-width">12</property>
-                    <property name="orientation">vertical</property>
-                    <property name="spacing">18</property>
-                    <child>
-                      <object class="GtkFrame">
-                        <property name="visible">True</property>
-                        <property name="can-focus">False</property>
-                        <property name="label-xalign">0</property>
-                        <property name="shadow-type">none</property>
-                        <child>
-                          <object class="GtkAlignment">
-                            <property name="visible">True</property>
-                            <property name="can-focus">False</property>
-                            <property name="bottom-padding">12</property>
-                            <property name="left-padding">12</property>
-                            <child>
-                              <object class="GtkBox">
-                                <property name="visible">True</property>
-                                <property name="can-focus">False</property>
-                                <property name="orientation">vertical</property>
-                                <property name="spacing">6</property>
-                                <child>
-                                  <object class="GtkCheckButton" id="iface.win32.minimize_new_convs">
-                                    <property name="label" translatable="yes">Minimi_ze new conversation windows</property>
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">True</property>
-                                    <property name="receives-default">False</property>
-                                    <property name="use-underline">True</property>
-                                    <property name="draw-indicator">True</property>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">0</property>
-                                  </packing>
-                                </child>
-                              </object>
-                            </child>
-                          </object>
-                        </child>
-                        <child type="label">
-                          <object class="GtkLabel">
-                            <property name="visible">True</property>
-                            <property name="can-focus">False</property>
-                            <property name="label" translatable="yes">Conversation Window</property>
-                            <attributes>
-                              <attribute name="weight" value="bold"/>
-                            </attributes>
-                          </object>
-                        </child>
-                      </object>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">True</property>
-                        <property name="position">1</property>
-                      </packing>
-                    </child>
-                    <child>
-                      <object class="GtkFrame">
-                        <property name="visible">True</property>
-                        <property name="can-focus">False</property>
-                        <property name="label-xalign">0</property>
-                        <property name="shadow-type">none</property>
-                        <child>
-                          <object class="GtkAlignment">
-                            <property name="visible">True</property>
-                            <property name="can-focus">False</property>
-                            <property name="bottom-padding">12</property>
-                            <property name="left-padding">12</property>
-                            <child>
-                              <object class="GtkBox">
-                                <property name="visible">True</property>
-                                <property name="can-focus">False</property>
-                                <property name="orientation">vertical</property>
-                                <property name="spacing">6</property>
-                                <child>
-                                  <object class="GtkCheckButton" id="iface.conversations.tabs">
-                                    <property name="label" translatable="yes">Show IMs and chats in _tabbed windows</property>
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">True</property>
-                                    <property name="receives-default">False</property>
-                                    <property name="use-underline">True</property>
-                                    <property name="draw-indicator">True</property>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">0</property>
-                                  </packing>
-                                </child>
-                                <child>
-                                  <object class="GtkBox" id="iface.conversations.tabs_vbox">
-                                    <property name="visible">True</property>
-                                    <property name="can-focus">False</property>
-                                    <property name="orientation">vertical</property>
-                                    <property name="spacing">6</property>
-                                    <child>
-                                      <object class="GtkCheckButton" id="iface.conversations.close_on_tabs">
-                                        <property name="label" translatable="yes">Show closed b_utton on tabs</property>
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">True</property>
-                                        <property name="receives-default">False</property>
-                                        <property name="use-underline">True</property>
-                                        <property name="draw-indicator">True</property>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">0</property>
-                                      </packing>
-                                    </child>
-                                    <child>
-                                      <object class="GtkBox">
-                                        <property name="visible">True</property>
-                                        <property name="can-focus">False</property>
-                                        <property name="spacing">6</property>
-                                        <child>
-                                          <object class="GtkLabel" id="label3">
-                                            <property name="visible">True</property>
-                                            <property name="can-focus">False</property>
-                                            <property name="label" translatable="yes">_Placement:</property>
-                                            <property name="use-underline">True</property>
-                                            <property name="mnemonic-widget">iface.conversations.tab_side.combo</property>
-                                            <property name="xalign">0</property>
-                                          </object>
-                                          <packing>
-                                            <property name="expand">False</property>
-                                            <property name="fill">True</property>
-                                            <property name="position">0</property>
-                                          </packing>
-                                        </child>
-                                        <child>
-                                          <object class="GtkComboBox" id="iface.conversations.tab_side.combo">
-                                            <property name="visible">True</property>
-                                            <property name="can-focus">False</property>
-                                            <property name="model">iface.conversations.tab_side.store</property>
-                                            <child>
-                                              <object class="GtkCellRendererText"/>
-                                              <attributes>
-                                                <attribute name="text">0</attribute>
-                                              </attributes>
-                                            </child>
-                                          </object>
-                                          <packing>
-                                            <property name="expand">False</property>
-                                            <property name="fill">True</property>
-                                            <property name="position">1</property>
-                                          </packing>
-                                        </child>
-                                      </object>
-                                      <packing>
-                                        <property name="expand">False</property>
-                                        <property name="fill">True</property>
-                                        <property name="position">1</property>
-                                      </packing>
-                                    </child>
-                                  </object>
-                                  <packing>
-                                    <property name="expand">False</property>
-                                    <property name="fill">True</property>
-                                    <property name="position">1</property>
-                                  </packing>
-                                </child>
-                              </object>
-                            </child>
-                          </object>
-                        </child>
-                        <child type="label">
-                          <object class="GtkLabel">
-                            <property name="visible">True</property>
-                            <property name="can-focus">False</property>
-                            <property name="label" translatable="yes">Tabs</property>
-                            <attributes>
-                              <attribute name="weight" value="bold"/>
-                            </attributes>
-                          </object>
-                        </child>
-                      </object>
-                      <packing>
-                        <property name="expand">False</property>
-                        <property name="fill">True</property>
-                        <property name="position">2</property>
-                      </packing>
-                    </child>
-                  </object>
-                  <packing>
-                    <property name="name">iface</property>
-                    <property name="title" translatable="yes">Interface</property>
-                  </packing>
-                </child>
-                <child>
                   <object class="GtkBox" id="conversations.page">
                     <property name="visible">True</property>
                     <property name="can-focus">False</property>
@@ -813,7 +534,6 @@
                   <packing>
                     <property name="name">conversations</property>
                     <property name="title" translatable="yes">Conversations</property>
-                    <property name="position">1</property>
                   </packing>
                 </child>
                 <child>
@@ -1304,7 +1024,7 @@
                   <packing>
                     <property name="name">network</property>
                     <property name="title" translatable="yes">Network</property>
-                    <property name="position">2</property>
+                    <property name="position">1</property>
                   </packing>
                 </child>
                 <child>
@@ -1633,7 +1353,7 @@
                   <packing>
                     <property name="name">proxy</property>
                     <property name="title" translatable="yes">Proxy</property>
-                    <property name="position">3</property>
+                    <property name="position">2</property>
                   </packing>
                 </child>
                 <child>
@@ -1964,7 +1684,7 @@
                   <packing>
                     <property name="name">away</property>
                     <property name="title" translatable="yes">Status / Idle</property>
-                    <property name="position">4</property>
+                    <property name="position">3</property>
                   </packing>
                 </child>
                 <child>
@@ -1975,7 +1695,7 @@
                   <packing>
                     <property name="name">credentials</property>
                     <property name="title" translatable="yes">Credentials</property>
-                    <property name="position">5</property>
+                    <property name="position">4</property>
                   </packing>
                 </child>
               </object>
@@ -2008,11 +1728,6 @@
       <widget name="away.startup_label"/>
     </widgets>
   </object>
-  <object class="GtkSizeGroup" id="iface.sg">
-    <widgets>
-      <widget name="label3"/>
-    </widgets>
-  </object>
   <object class="GtkSizeGroup" id="network.sg">
     <widgets>
       <widget name="label8"/>
